IF NOT EXISTS ( SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_PCSETTING' )
CREATE TABLE T_FMM_PCSETTING(
  FID          BIGINT        DEFAULT 0   NOT NULL,
  FNUMBER      NVARCHAR(30)  DEFAULT ' ' NOT NULL,
  FNAME        NVARCHAR(50)  DEFAULT ' ' NOT NULL,
  FSTATUS      NVARCHAR(1)   DEFAULT ' ' NOT NULL,
  FCREATORID   BIGINT        DEFAULT 0   NOT NULL,
  FMODIFIERID  BIGINT        DEFAULT 0   NOT NULL,
  FENABLE      NVARCHAR(1)   DEFAULT ' ' NOT NULL,
  FCREATETIME  DATETIME ,
  FMODIFYTIME  DATETIME ,
  FMASTERID    BIGINT        DEFAULT 0   NOT NULL,
  FAUDITOR     BIGINT        DEFAULT 0   NOT NULL,
  FAUDITTIME   DATETIME ,
  FREAMRK      NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS ( SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_PCSETTING_L' )
CREATE TABLE T_FMM_PCSETTING_L(
  FPKID       NVARCHAR(255)   DEFAULT ' ' NOT NULL,
  FID         BIGINT          DEFAULT 0   NOT NULL,
  FLOCALEID   NVARCHAR(255)   DEFAULT ' ' NOT NULL,
  FNAME       NVARCHAR(50)    DEFAULT ' ' NOT NULL
);


IF NOT EXISTS ( SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_PCSETTING_ENTRY' )
CREATE TABLE T_FMM_PCSETTING_ENTRY(
  FID          BIGINT        DEFAULT 0   NOT NULL,
  FENTRYID     BIGINT        DEFAULT 0   NOT NULL,
  FSEQ         INT           DEFAULT 0   NOT NULL,
  FTYPE        NVARCHAR(5)   DEFAULT ' ' NOT NULL,
  FCOLORVALUE  NVARCHAR(50)  DEFAULT ' ' NOT NULL,
  FCOLOR       NVARCHAR(50)  DEFAULT ' ' NOT NULL
);